loci.formats.in

## Class SlideBook7Reader.CDataTableHeaderRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CDataTableHeaderRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CDataTableHeaderRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Integer` | `mChannelIndex`
    `java.lang.Integer` | `mColumns`
    `java.lang.Long` | `mDescriptorFileOffset`
    `java.lang.Integer` | `mDescriptorSize`
    `java.lang.Integer` | `mDescriptorVersion`
    `java.lang.Long` | `mNextTableFileOffset`
    `java.lang.Long` | `mParentRecordPtr`
    `java.lang.Integer` | `mPlanes`
    `java.lang.Integer` | `mRows`
    `java.lang.Integer` | `mStartTime`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`
    `java.lang.Integer` | `mTableType`
    `java.lang.Integer` | `mTimeBasis`
    `java.lang.Integer` | `mTimeInterval`
    `java.lang.Integer` | `mTimePointsTableSize`
    `java.lang.Integer` | `mTimePointsWritten`
    `java.lang.Integer` | `mValueType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDataTableHeaderRecord70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mParentRecordPtr

          public java.lang.Long mParentRecordPtr

    - #### mChannelIndex

          public java.lang.Integer mChannelIndex

    - #### mRows

          public java.lang.Integer mRows

    - #### mColumns

          public java.lang.Integer mColumns

    - #### mPlanes

          public java.lang.Integer mPlanes

    - #### mValueType

          public java.lang.Integer mValueType

    - #### mTableType

          public java.lang.Integer mTableType

    - #### mTimeBasis

          public java.lang.Integer mTimeBasis

    - #### mDescriptorVersion

          public java.lang.Integer mDescriptorVersion

    - #### mDescriptorSize

          public java.lang.Integer mDescriptorSize

    - #### mDescriptorFileOffset

          public java.lang.Long mDescriptorFileOffset

    - #### mStartTime

          public java.lang.Integer mStartTime

    - #### mTimeInterval

          public java.lang.Integer mTimeInterval

    - #### mTimePointsWritten

          public java.lang.Integer mTimePointsWritten

    - #### mTimePointsTableSize

          public java.lang.Integer mTimePointsTableSize

    - #### mNextTableFileOffset

          public java.lang.Long mNextTableFileOffset

  - ### Constructor Detail

    - #### CDataTableHeaderRecord70

          CDataTableHeaderRecord70()

Copyright © 2026 Open Microscopy Environment